	/****************************************************************/
	/*	This include file is used by the following:		*/
	/*								*/
	/*	liblis_hdf.a 	 (used to create LIS/OTD HDF files)	*/
	/*								*/
	/****************************************************************/

#define MAX_FILE_NAME_LENGTH 26
	char hdf_fname[MAX_FILE_NAME_LENGTH];
	/* long lis_hdf_id[MAX_FILE]=	{-1,-1,-1,-1,-1,-1,-1,-1,
				-1,-1,-1,-1,-1,-1,-1,-1,
				-1,-1,-1,-1,-1,-1,-1,-1,
				-1,-1,-1,-1,-1,-1,-1,-1};
	*/

	long lis_orbit_data_vgroup_id[MAX_FILE],lis_point_vgroup_id[MAX_FILE],lis_lightning_vgroup_id[MAX_FILE];
	long lis_bg_orbit_data_vgroup_id[MAX_FILE];

	long lis_area_vsref[MAX_FILE],lis_flash_vsref[MAX_FILE],lis_group_vsref[MAX_FILE],lis_event_vsref[MAX_FILE];
        long lis_point_summary_vsref[MAX_FILE],lis_viewtime_vsref[MAX_FILE],lis_bg_summary_vsref[MAX_FILE];
	long lis_one_second_vsref[MAX_FILE],lis_orbit_summary_vsref[MAX_FILE],lis_bg_orbit_summary_vsref[MAX_FILE];
	long lis_bg_data_summary_vsref[MAX_FILE];
	long lis_sd_id[MAX_FILE];

	long lis_image_sds_id[MAX_FILE];
	long lis_image_count[MAX_FILE];
	long lis_bg_info_vrecord[MAX_FILE];
	long lis_bg_info_vsref[MAX_FILE];
	long lis_dimsize[3];
	
	long lis_data_dictionary_id[MAX_FILE];


	long lis_area_vrecord[MAX_FILE],lis_flash_vrecord[MAX_FILE],lis_group_vrecord[MAX_FILE],lis_event_vrecord[MAX_FILE];
	long lis_point_summary_vrecord[MAX_FILE],lis_viewtime_vrecord[MAX_FILE],lis_bg_summary_vrecord[MAX_FILE];
	long lis_one_second_vrecord[MAX_FILE],lis_orbit_summary_vrecord[MAX_FILE],lis_bg_orbit_summary_vrecord[MAX_FILE];
	long lis_image_srecord[MAX_FILE],lis_bg_data_summary_vrecord[MAX_FILE];

	long start[3],endr[3];

	long lis_inventory_metadata_vsref[MAX_FILE],lis_inventory_metadata_vrecord[MAX_FILE];
	long lis_archived_metadata_vsref[MAX_FILE],lis_archived_metadata_vrecord[MAX_FILE];

	long otd_hdf_id;

	long otd_area_vgroup_id,otd_flash_vgroup_id,otd_group_vgroup_id,otd_event_vgroup_id;
	long otd_orbit_summary_vgroup_id,otd_flash_density_vgroup_id;
	long otd_area_vsref,otd_flash_vsref,otd_group_vsref,otd_event_vsref;
        long otd_orbit_flash_rate_vsref,otd_orbit_event_rate_vsref;
	long otd_orbit_summary_vsref,otd_grid_25_vsref,otd_grid_500_km_vsref,otd_view_vsref;
	long otd_ephemeris_vsref,otd_threshold_vsref;

	long otd_browse_vgroup_id;
	long otd_vector_vsref,otd_image_vsref,otd_browse_vsref;

	long otd_orbit_vsref,otd_metadata_vsref;

	long otd_sd_id;

	long otd_image_sds_id;
	long otd_image_count;
	
	long otd_dimsize[3];
	
	long otd_data_dictionary_id;


	long otd_area_vrecord,otd_flash_vrecord,otd_group_vrecord,otd_event_vrecord;
	long otd_vector_vrecord,otd_image_vrecord,otd_orbit_vrecord,otd_metadata_vrecord,otd_browse_data_vrecord;
        long otd_orbit_flash_rate_vrecord,otd_orbit_event_rate_vrecord;
	long otd_orbit_summary_vrecord,otd_grid_25_vrecord,otd_grid_500_km_vrecord,otd_view_vrecord;
	long otd_image_srecord,otd_ephemeris_vrecord,otd_threshold_vrecord;


	long otd_inventory_metadata_vsref,otd_inventory_metadata_vrecord;
	long otd_archived_metadata_vsref,otd_archived_metadata_vrecord;
