#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>
#include <time.h>
#include <errno.h>
#include "limits.h"

#include "liblisotd_read_LISOTD.h"
#include <console.h>
#include <profiler.h>

main(int argc, char *argv[])
{
	struct lis_orbit TheData;
	struct anOTDBoundset Bounds;

    Initialize();
    ResetAllBounds(&Bounds);
    
    SetMetadataHandling(VIEWTIMES,IGNORE);
    SetMetadataHandling(BROWSES,IGNORE);
    SetMetadataHandling(IMAGES,IGNORE);
    
    SetQualityBound(&Bounds,F,TAC,TAC_GREEN,TAC_BEST);
    SetQualityBound(&Bounds,E,SNR,SNR_YELLOW,SNR_BEST);
    SetQualityBound(&Bounds,E,GLINT,GLINT_GREEN,GLINT_BEST);

    TheData = GetData("test.mlab.hdf", &Bounds);
	/*
	WriteData(TheData, ASCII_SINGLE, "test.mlab.hdf", !O, A, F, !G, !E);
	*/
	WriteData(TheData, MINI_HDF,"test.mlab.hdf",O,A,F,G,E);
	FreeData(&TheData);
    
       
    return(0);

}
